Subject: [MSEC] Errors in the Multimedia Internet KEYing (Mikey) Payload Name Spaces

From: John Mattsson <[email-masked]>
Date: Mon, 6 Sep 2010 13:47:39 +0200

Dear IANA,

I discovered the following errors in the Multimedia Internet KEYing (MIKEY) Payload Name Spaces

http://www.iana.org/assignments/mikey-payloads

- The Cache type is listed as an 8-bit field instead of a 2-bit field

  Registry:
  Value    Cache type            Reference
  -------  --------------------  ---------
  0        No cache              [RFC3830]
  1        Cache                 [RFC3830]
  2        Cache for CSB         [RFC3830]
  3-240    Unassigned
  241-255  Reserved

 It should look like this:

  Registry:
  Value    Cache type            Reference
  -------  --------------------  ---------
  0        No cache              [RFC3830]
  1        Cache                 [RFC3830]
  2        Cache for CSB         [RFC3830]
  3        Unassigned

- The S type is listed as an 8-bit field instead of a 4-bit field

  Registry: 
  Value    S type                Reference
  -------  --------------------  ---------
  0        RSA/PKCS#1/1.5        [RFC3830]
  1        RSA/PSS               [RFC3830]
  2-240    Unassigned
  241-255  Reserved 

 It should look like this:

  Registry: 
  Value    S type                Reference
  -------  --------------------  ---------
  0        RSA/PKCS#1/1.5        [RFC3830]
  1        RSA/PSS               [RFC3830]
  2-15     Unassigned

- The Key Data Type is listed as being between 0-16 instead of 0-15. That the name space is between 0-16 is stated in the IANA Considerations section of RFC 3830, but this is obviously wrong as the field is only 4-bit.

  Registry:
  Value    Type                  Reference
  -------  --------------------  ---------
  0        TGK                   [RFC3830]
  1        TGK+SALT              [RFC3830]
  2        TEK                   [RFC3830]
  3        TEK+SALT              [RFC3830]
  4        GTGK                  [RFC-mattsson-mikey-ticket-05]
  5        GTGK+SALT             [RFC-mattsson-mikey-ticket-05]
  6        MPK                   [RFC-mattsson-mikey-ticket-05]
  7-16     Unassigned       

 It should look like this:

  Registry:
  Value    Type                  Reference
  -------  --------------------  ---------
  0        TGK                   [RFC3830]
  1        TGK+SALT              [RFC3830]
  2        TEK                   [RFC3830]
  3        TEK+SALT              [RFC3830]
  4        GTGK                  [RFC-mattsson-mikey-ticket-05]
  5        GTGK+SALT             [RFC-mattsson-mikey-ticket-05]
  6        MPK                   [RFC-mattsson-mikey-ticket-05]
  7-15     Unassigned       

- The KV Type is listed as being between 0-16 instead of 0-15. That the name space is between 0-16 is stated in the IANA Considerations section of RFC 3830, but this is obviously wrong as the field is only 4-bit.

  Registry:
  Value    KV                    Reference
  -------  --------------------  ---------
  0        Null                  [RFC3830]
  1        SPI                   [RFC3830]
  2        Interval              [RFC3830]
  3-16     Unassigned       

 It should look like this:

  Registry:
  Value    KV                    Reference
  -------  --------------------  ---------
  0        Null                  [RFC3830]
  1        SPI                   [RFC3830]
  2        Interval              [RFC3830]
  3-15     Unassigned       

- The MIKEY registry often uses 'Reserved' to mean 'Private use'. According to RFC 5226, Section 4 these to terms mean completely different things. In most cases it is stated in the Registration Procedures that the range of values is 'Reserved for Private Use'. 

  Registry Name: Key data transport payload name spaces
  Reference: [RFC3830]
  Range      Registration Procedures          Notes
  ---------  -------------------------------  -------
  0-240      IETF consensus
  241-255    Reserved for Private Use

  Registry:
  Value    Encr alg         Section in Document  Reference
  -------  ---------------  -------------------  ---------
  0        NULL             4.2.3                [RFC3830]
  1        AES-CM-128       4.2.3                [RFC3830]
  2        AES-KW-128       4.2.3                [RFC3830]
  3        AES-CM-256       6.2                  [RFC-mattsson-mikey-ticket-05]
  4-240    Unassigned
  241-255  Reserved

But in some cases this not done (This should probably also be fixed). The range 112-127 below should be Private Use:
 
  Sub-registry: PRF Func
  Reference: [RFC3830]
  Registration Procedures: IETF Consensus

  Registry:
  Value    PRF func          Section in Document  Reference
  -------  ----------------  -------------------  ---------
  0        MIKEY-1           4.1.3                [RFC3830]
  1        PRF-HMAC-SHA-256  6.1                  [RFC-mattsson-mikey-ticket-05]
  2-111    Unassigned
  112-127  Reserved       

 And in some registries 'Reserved' is used for both Reserved and Private Use:

  Registry:
  Value    OMA BCAST Types         Comment                   Reference
  -------  ----------------------  ------------------------  ---------
  0        Reserved                                          [RFC4909]
  1        LTKM                                              [RFC4909]
  2        STKM                                              [RFC4909]
  3        LTKM Reporting                                    [RFC5410]
  4        Parental Control                                  [RFC5410]
  5-191    Unassigned
  192-255  Reserved

I think this should be changed so that the 'Reserved' is not used for values that are Private Use.

Best Regards
John Mattsson